package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * 
 * @author zj
 * @date 2019-01-29 15:15:02
 */
@TableName("live_video_transcoding_message")
public class LiveVideoTranscodingMessageEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 此次推送请求的签名
	 */
	private String authorization;
	/**
	 * 此次推送消息的 Request 编号
	 */
	private String requestId;
	/**
	 * 签名证书的地址（Base64编码过）
	 */
	private String signingCertUrl;
	/**
	 * 此次推送消息的 MessageId
	 */
	private String messageId;
	/**
	 * 此次推送消息的消息标签
	 */
	private String messageTag;
	/**
	 * 任务id
	 */
	private String jobId;
	/**
	 * 转码请求的requestId
	 */
	private String transRequestId;
	/**
	 * 类型
	 */
	private String type;
	/**
	 * 状态
	 */
	private String state;
	/**
	 * 创建时间
	 */
	private Date createDate;

	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：此次推送请求的签名
	 */
	public void setAuthorization(String authorization) {
		this.authorization = authorization;
	}
	/**
	 * 获取：此次推送请求的签名
	 */
	public String getAuthorization() {
		return authorization;
	}
	/**
	 * 设置：此次推送消息的 Request 编号
	 */
	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}
	/**
	 * 获取：此次推送消息的 Request 编号
	 */
	public String getRequestId() {
		return requestId;
	}
	/**
	 * 设置：签名证书的地址（Base64编码过）
	 */
	public void setSigningCertUrl(String signingCertUrl) {
		this.signingCertUrl = signingCertUrl;
	}
	/**
	 * 获取：签名证书的地址（Base64编码过）
	 */
	public String getSigningCertUrl() {
		return signingCertUrl;
	}
	/**
	 * 设置：此次推送消息的 MessageId
	 */
	public void setMessageId(String messageId) {
		this.messageId = messageId;
	}
	/**
	 * 获取：此次推送消息的 MessageId
	 */
	public String getMessageId() {
		return messageId;
	}
	/**
	 * 设置：此次推送消息的消息标签
	 */
	public void setMessageTag(String messageTag) {
		this.messageTag = messageTag;
	}
	/**
	 * 获取：此次推送消息的消息标签
	 */
	public String getMessageTag() {
		return messageTag;
	}
	/**
	 * 设置：任务id
	 */
	public void setJobId(String jobId) {
		this.jobId = jobId;
	}
	/**
	 * 获取：任务id
	 */
	public String getJobId() {
		return jobId;
	}
	/**
	 * 设置：转码请求的requestId
	 */
	public void setTransRequestId(String transRequestId) {
		this.transRequestId = transRequestId;
	}
	/**
	 * 获取：转码请求的requestId
	 */
	public String getTransRequestId() {
		return transRequestId;
	}
	/**
	 * 设置：类型
	 */
	public void setType(String type) {
		this.type = type;
	}
	/**
	 * 获取：类型
	 */
	public String getType() {
		return type;
	}
	/**
	 * 设置：状态
	 */
	public void setState(String state) {
		this.state = state;
	}
	/**
	 * 获取：状态
	 */
	public String getState() {
		return state;
	}
	/**
	 * 设置：创建时间
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * 获取：创建时间
	 */
	public Date getCreateDate() {
		return createDate;
	}
}
